Subject: [PATCH] t1410: modernize test path checks

From: "Imvedansh via GitGitGadget" <[email-masked]>
Date: Mon, 06 Oct 2025 09:00:52 +0000

From: Imvedansh <[email-masked]>

Convert old-style "test -f" and "! test -f" checks to use the
modern helper functions 'test_path_is_file' and
'test_path_is_missing' in t/t1410-reflog.sh.

This improves readability and consistency in the test suite.

Signed-off-by: Imvedansh <[email-masked]>
---
    t1410: modernize test path checks
    
    Hello,
    
    I'm Vedansh and I'm interested in contributing to Git through Outreachy
    2025.
    
    I have successfully built Git from source on Ubuntu (via WSL2) and run
    the test suite. All tests pass.
    
    For my microproject, I'd like to modernize the path checking in
    t/t1410-reflog.sh by replacing 'test -f' with test_path_is_file in lines
    133-136 (in the 'rewind' test).
    
    I found 4 instances that are assertions (part of && chains):
    
     * test -f C
     * test -f A/B/E
     * ! test -f F
     * ! test -f A/G
    
    I've verified these are test assertions, not flow control statements,
    and the test currently passes on my system.
    
    Is this appropriate for a microproject?
    
    Thanks, Vedansh

Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-git-2066%2FImvedansh%2Fmodernize-t1410-reflog-v1
Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-git-2066/Imvedansh/modernize-t1410-reflog-v1
Pull-Request: https://github.com/git/git/pull/2066

 t/t1410-reflog.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/t/t1410-reflog.sh b/t/t1410-reflog.sh
index e30f87a358..ce71f9a30a 100755
--- a/t/t1410-reflog.sh
+++ b/t/t1410-reflog.sh
@@ -130,10 +130,10 @@ test_expect_success 'pass through -- to sub-command' '
 
 test_expect_success rewind '
 	test_tick && git reset --hard HEAD~2 &&
-	test -f C &&
-	test -f A/B/E &&
-	! test -f F &&
-	! test -f A/G &&
+	test_path_is_file C &&
+	test_path_is_file A/B/E &&
+	test_path_is_missing F &&
+	test_path_is_missing A/G &&
 
 	check_have A B C D E F G H I J K L &&

base-commit: 821f583da6d30a84249f75f33501504d597bc16b
-- 
gitgitgadget